## org.springframework.ejb.access
Class EjbAccessException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.ejb.access.EjbAccessException

All Implemented Interfaces:
  Serializable

    public class EjbAccessException

extends NestedRuntimeException

Exception that gets thrown when an EJB stub cannot be accessed properly.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`EjbAccessException(String msg)` Constructor for EjbAccessException.
`EjbAccessException(String msg, Throwable cause)` Constructor for EjbAccessException.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EjbAccessException

    public EjbAccessException(String msg)

  Constructor for EjbAccessException.

  Parameters:
    `msg` - the detail message

### EjbAccessException

    public EjbAccessException(String msg,
                              Throwable cause)

  Constructor for EjbAccessException.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause